#include <iostream>

using namespace std;

int main()
{
    int N,g=1;
    cin>>N;
    long long X[N], Y[N], Z[N],br=0, R[N], rr=0,zz;
    for(int i=1; i<=N; i++)
        cin>>X[i];
    for(int j=1; j<=N; j++)
        {cin>>Y[j];
            for(int i=1; i<=N; i++)
                {
                    if(Y[j]==X[i])
                    {
                        rr++;
                        R[rr]=j;
                    }
                }
        }
    cin>>Z[1];
    zz=Z[1];
    for(int k=2; k<=N; k++)
        {cin>>Z[k];if(Z[k]!=zz)g=0;}
    if(g==1)
    {
        for(int i=1; i<=rr; i++)
            if(R[i]==zz)
                br++;
    }
    else
    {
       for(int i=1; i<=N; i++)
    {
        for(int j=1; j<=N; j++)
        {
            if(X[i]==Y[j])
                for(int k=1; k<=N; k++)
                {
                    if(Z[k]==j)
                        br++;
                }
        }
    }
    }
    cout<<br;
    return 0;
}